ZapytanieBetaQuery.order
One order by its identifier; null when there is no such order.
| Wymagany zakres | orders:read |
|---|---|
| Dostępne od | Prynt 0.28.0 |
| Stabilność | Beta (co to znaczy) |
Argumenty
| Nazwa | Typ | Opis |
|---|---|---|
idwymagane | ID! | Identifier of the order. |
Zwraca
Przykład
query Order($id: ID!) { order(id: $id) { id displayId status paymentStatus transportMethod completionDate isDeadline updatedAt contact { name email phone } deliveries { companyName street buildingNumber zip city packageCount } products { id number name quantity unit status elements { name spec { printFormatId printWidthMm printHeightMm upsPerSheet } operations { description machineId quantity unit } } } }}{ "id": "4b0d2a63-8e5f-4c9b-8f32-6d7e8f9a0b12"}curl -sS https://twoja-drukarnia.prynt.pl/api/v1/graphql \ -H "Authorization: Bearer $PRYNT_API_KEY" \ -H "Content-Type: application/json" \ --data-binary @- <<'JSON'{ "query": "query Order($id: ID!) {\n order(id: $id) {\n id\n displayId\n status\n paymentStatus\n transportMethod\n completionDate\n isDeadline\n updatedAt\n contact {\n name\n email\n phone\n }\n deliveries {\n companyName\n street\n buildingNumber\n zip\n city\n packageCount\n }\n products {\n id\n number\n name\n quantity\n unit\n status\n elements {\n name\n spec {\n printFormatId\n printWidthMm\n printHeightMm\n upsPerSheet\n }\n operations {\n description\n machineId\n quantity\n unit\n }\n }\n }\n }\n}", "variables": { "id": "4b0d2a63-8e5f-4c9b-8f32-6d7e8f9a0b12" }}JSON{ "data": { "order": { "id": "4b0d2a63-8e5f-4c9b-8f32-6d7e8f9a0b12", "displayId": "1091/2026", "status": "CREATED", "paymentStatus": "PENDING", "transportMethod": "COURIER", "completionDate": "2026-10-16T12:00:00.000Z", "isDeadline": false, "updatedAt": "2026-10-05T08:03:07.904Z", "contact": { "name": "Anna Kowalska", "phone": "+48 600 100 200" }, "deliveries": [ { "companyName": "Wydawnictwo Lipowe", "street": "Lipowa", "buildingNumber": "12", "zip": "31-002", "city": "Kraków", "packageCount": 3 } ], "products": [ { "id": "9c3e5f70-2b4d-4e6f-9a8b-0c1d2e3f4a52", "number": 1, "name": "Katalog A4, 32 strony", "quantity": 300, "unit": "PIECES", "status": "NO_FILES", "elements": [ { "name": "Okładka", "spec": { "printFormatId": "8d9e0f1a-2b3c-4d5e-8f6a-7b8c9d0e1f46", "printWidthMm": 500, "printHeightMm": 707, "upsPerSheet": 2 }, "operations": [ { "description": "Druk 4+0", "machineId": "5e7f9a1b-2c3d-4e5f-8a6b-7c8d9e0f1a24", "quantity": 160, "unit": "SHEETS" }, { "description": "Folia matowa", "machineId": "6f8a0b2c-3d4e-4f5a-9b7c-8d9e0f1a2b35", "quantity": 160, "unit": "SHEETS" } ] }, { "name": "Środek", "spec": { "printFormatId": "8d9e0f1a-2b3c-4d5e-8f6a-7b8c9d0e1f46", "printWidthMm": 500, "printHeightMm": 707, "upsPerSheet": 4 }, "operations": [ { "description": "Druk 4+4", "machineId": "5e7f9a1b-2c3d-4e5f-8a6b-7c8d9e0f1a24", "quantity": 2400, "unit": "SHEETS" } ] } ] }, { "id": "ad4f6081-3c5e-4f70-8b9c-1d2e3f4a5b63", "number": 2, "name": "Teczka z wykrojnika", "quantity": 300, "unit": "PIECES", "status": "FILES_TO_CHECK", "elements": [] } ] } }}